GCLOUD_DATAPROC_JOBS_LIST(1)

NAME

gcloud dataproc jobs list - list jobs in a project

SYNOPSIS

gcloud dataproc jobs list [--cluster=CLUSTER] [--region=REGION] [--state-filter=STATE_FILTER] [--filter=EXPRESSION] [--limit=LIMIT] [--page-size=PAGE_SIZE; default="100"] [--sort-by=[FIELD,...]] [GCLOUD_WIDE_FLAG ...]

DESCRIPTION
List jobs in a project. An optional filter can be used to constrain the jobs returned. Filters are case-sensitive and have the following syntax:
    [field = value] AND [field [= value]] ...
where field is status.state or labels.[KEY], and [KEY] is a label key. value can be * to match all values. status.state can be either ACTIVE or INACTIVE. Only the logical AND operator is supported; space-separated items are treated as having an implicit AND operator.

FLAGS

    --cluster=CLUSTER
        Restrict to the jobs of this Dataproc cluster.

    --region=REGION
        Specifies the Cloud Dataproc region to use. Each Cloud Dataproc region constitutes an independent resource namespace constrained to deploying instances into Google Compute Engine zones inside the region. The default value of "global" is a special multi-region namespace which is capable of deploying instances into all Google Compute Engine zones globally, and is disjoint from other Cloud Dataproc regions. Overrides the default dataproc/region property value for this command invocation.

    --state-filter=STATE_FILTER
        Filter by job state. STATE_FILTER must be one of: active, inactive.

LIST COMMAND FLAGS

    --filter=EXPRESSION
        Apply a Boolean filter EXPRESSION to each resource item to be listed. If the expression evaluates True then that item is listed. For more details and examples of filter expressions run $ gcloud topic filters. This flag interacts with other flags that are applied in this order: --flatten, --sort-by, --filter, --limit.

    --limit=LIMIT
        The maximum number of resources to list. The default is unlimited. This flag interacts with other flags that are applied in this order: --flatten, --sort-by, --filter, --limit.

    --page-size=PAGE_SIZE; default="100"
        Some services group resource list output into pages. This flag specifies the maximum number of resources per page. The default is determined by the service if it supports paging, otherwise it is unlimited (no paging). Paging may be applied before or after --filter and --limit depending on the service.

    --sort-by=[FIELD,...]
        A comma-separated list of resource field key names to sort by. The default order is ascending. Prefix a field with ``~'' for descending order on that field. This flag interacts with other flags that are applied in this order: --flatten, --sort-by, --filter, --limit.

GCLOUD WIDE FLAGS
These flags are available to all commands: --account, --configuration, --flatten, --format, --help, --log-http, --project, --quiet, --trace-token, --user-output-enabled, --verbosity. Run $ gcloud help for details.

EXAMPLES
To see the list of all jobs, run:
    $ gcloud dataproc jobs list
To see a list of all active jobs in cluster my_cluster with a label of env=staging, run:
    $ gcloud dataproc jobs list \
        --filter='status.state = ACTIVE AND placement.clusterName =
     my_cluster AND labels.env = staging'